iDeal wrapper werkt lokaal wel, op server niet

Overzicht Reageren

Sponsored by: Vacatures door Monsterboard

.NET Developer / Innovatieve software / Virtual Re

Functieomschrijving Als .Net developer werken aan innovatieve software waar onder andere gebruik gemaakt wordt van Virtual Reality? Bijdragen aan een organisatie waar je uitgedaagd wordt om continu verbeteringen en ontwikkelpunten te ontdekken en door te voeren? Werken in de omgeving Putten? Reageer dan nu voor meer informatie! Het pro-actief aandragen van verbeteringen voor de bestaande applicatie; Ontwikkelen van nieuwe functionaliteiten; Doorvoeren van aanpassingen en wijzigingen; Verantwoordelijk voor koppelingen met andere systemen; Op de hoogte blijven van technische ontwikkelingen. Functie-eisen Hbo werk- en denkniveau; Een afgeronde IT gerelateerde opleiding; Minimaal 1 jaar professionele ervaring als developer; Aantoonbare kennis van C#; Initiatiefrijke

Bekijk vacature »

Tim -

Tim -

02/07/2015 21:11:11
Quote Anchor link
Beste PHP Hulp,

Enige tijd geleden hebben jullie mij perfect geholpen met het werkend krijgen van iDeal (zie eerder topic)

Na enige tijd mijn prioriteiten niet op iDeal te kunnen vestigen, is mij dat inmiddels wel weer gelukt en ben ik bezig iDeal op de website werkend te krijgen. Lokaal (draaiend onder WAMP) heb ik het werkend gekregen (zoals in het eerdere topic te zien is), nu ik het echter op mijn webserver heb geplaatst werkt het niet meer.

Afwijkend t.a.v. de lokaal draaiende versie, heb ik in het config-bestand op de webserver in geval van de certificaten het pad naar de lokale bestanden gewijzigd naar het pad op de webserver. Hierin lijken geen fouten te zitten.

Wellicht dat jullie nog tips hebben.

Alvast bedankt.
Gewijzigd op 02/07/2015 21:11:35 door Tim -
 
PHP hulp

PHP hulp

21/09/2019 12:00:09
 
Marthijn Buijs

Marthijn Buijs

02/07/2015 21:18:14
Quote Anchor link
Krijg je ergens een error?
 
Tim -

Tim -

02/07/2015 21:25:37
Quote Anchor link
Nee, dat is het frustrerende.
 
- Ariën -
Beheerder

- Ariën -

02/07/2015 21:27:33
Quote Anchor link
En hoe staat je error_reporting en display_errors setting?
 
Tim -

Tim -

02/07/2015 21:41:12
Quote Anchor link
Wellicht een stomme vraag, is dat een functie die ik in mijn code moet opnemen of is dit een instelling op de webserver?
Volgensmij moet dit in het php.ini-bestand worden ingesteld. Ik weet deze nog niet te lokaliseren op de webserver (deze wordt namelijk niet alleen door mij beheerd). Het is PLESK waarmee op de server gewerkt wordt dus ik weet niet of ik überhaupt wel bij de php.ini kan komen.

Toevoeging op 02/07/2015 22:22:40:

Na gebruik van de functie phpinfo(); heb ik gezien dat het volgende staat ingesteld:
- display_errors: Off (local value) | Off (master value)
- error_reporting: 81 (local value) | 81 (master value)

Errors worden dus vanwege deze instellingen niet weergegeven. Wat de 81 precies inhoud weet ik niet.
Wat men met 'local value' bedoeld weet ik ook niet precies maar betekent wat mij betreft dat ik het ergens moet kunnen wijzigen. Ik ben er alleen nog niet achter hoe/waar in PLESK. Volgens phpinfo staat deze in '/etc/php.ini' maar kan deze locatie nog niet vinden.
Gewijzigd op 02/07/2015 22:31:08 door Tim -
 
- SanThe -

- SanThe -

02/07/2015 22:30:48
Quote Anchor link
Gewoon even tijdelijk bovenin je pagina:

Code (php)
PHP script in nieuw venster Selecteer het PHP script
1
2
3
4
5
<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);

?>
 
Tim -

Tim -

02/07/2015 22:38:39
Quote Anchor link
Zo makkelijk kan het dus ook :d.
Ik krijg nu inderdaad een foutmelding, namelijk:
Parse error: syntax error, unexpected T_STRING, expecting T_CONSTANT_ENCAPSED_STRING or '('
 
- SanThe -

- SanThe -

02/07/2015 22:42:50
Quote Anchor link
En daar staat een regelnummer bij.
Geef 1 regel ervoor t/m 1 regel erna even hier.
 
Tim -

Tim -

02/07/2015 22:51:14
Quote Anchor link
Er staat inderdaad regelnummer 3 bij.
In de code is regel 2 t/m 4 als volgt:
2.
3. use iDEALConnector\iDEALConnector;
4. use iDEALConnector\Configuration\DefaultConfiguration;

Betekent dit dat ik moet kijken in het script van iDEALConnector?
Deze heeft de volgende regels 2 t/m 4:
2. namespace iDEALConnector;
3. require_once("Configuration/IConnectorConfiguration.php");
4. require_once("Configuration/DefaultConfiguration.php");

enz? Volgensmij analyseer/begrijp ik de melding van regel 3 niet goed.
 
- SanThe -

- SanThe -

02/07/2015 22:55:08
Quote Anchor link
- SanThe - op 02/07/2015 22:42:50:
En daar staat een regelnummer bij.
Geef 1 regel ervoor t/m 1 regel erna even hier.


En ook de naam van het bestand waar de fout in zit.
 
Tim -

Tim -

02/07/2015 22:57:23
Quote Anchor link
Dit is de complete melding met daarin ook de bestandsnaam:
Parse error: syntax error, unexpected T_STRING, expecting T_CONSTANT_ENCAPSED_STRING or '(' in .../iDeal/idealsepa/ideal.class.php on line 3
 
Ivo P

Ivo P

03/07/2015 00:29:44
Quote Anchor link
Welke php versie?

Ik gok dat je server de namespace nog niet snapt
 
Tim -

Tim -

03/07/2015 20:19:59
Quote Anchor link
Aha, dat kan dus ook nog.
PHP 5.2.12 wordt gebruikt
 
Ivo P

Ivo P

03/07/2015 20:28:59
Quote Anchor link
Je bedoelt: http://php.net/ChangeLog-5.php#5.2.12

die in dec 2009 verscheen?

Van de 5.2 serie waarvan in jan 2011 de laatste update tot 5.2.17 verscheen?

Waar heb je die versie nog vandaan gehaald? Een museum is er blij mee :-)

Nee, voor namespaces moet je een "iets" nieuwere versie gebruiken.
 
Tim -

Tim -

03/07/2015 20:44:41
Quote Anchor link
Ja, inderdaad die van december :-s.
Ik geloof dat ik de host maar even ga contacten. Eigenlijk wel schandalig dat er een dusdanig oude versie wordt gebruikt. Wellicht dat ze hier een verklaring voor hebben, maar goed ik zal het na het weekend weten.

Is er eventueel een goed alternatief voor de namespaces zonder al teveel aan het script te wijzigen?
 
Ivo P

Ivo P

03/07/2015 21:00:34
Quote Anchor link
PHP heeft meer dan 10 jaar zonder namespace kunnen werken, dus dat zou ook moeten kunnen voor jouw script.

Maar je host zou eigenlijk wel wat vaker dan eens in de 5 jaar een server mogen updaten....
 
Tim -

Tim -

06/07/2015 21:34:26
Quote Anchor link
De host was al bezig met de overgang naar een nieuw platform en nieuwe php versies. Er is een kopie van de site gemaakt en werkend onder PHP 5.3.x. Niet de nieuwste maar dat komt nog wel. Ik krijg op het moment de foutmelding m.b.t. het niet kunnen vinden van een certificaat, Helaad kan nog niet controleren of de kopie compleet is omdat de toegang tot Plesk van deze kopie nog niet werkt. Hopelijk weet ik morgen weer meer!
 
Ivo P

Ivo P

07/07/2015 09:01:06
Quote Anchor link
5.3 is inmiddels ook al dood verklaard hoor.

http://php.net/supported-versions.php
 
Tim -

Tim -

10/07/2015 18:32:05
Quote Anchor link
De wrapper werkt inmiddels op de doodverklaarde php 5.3!
Over niet al te lange tijd wordt er overgegaan naar de recentere php-versies!

Bedankt voor de hulp!
 



Overzicht Reageren

 
 

Om de gebruiksvriendelijkheid van onze website en diensten te optimaliseren maken wij gebruik van cookies. Deze cookies gebruiken wij voor functionaliteiten, analytische gegevens en marketing doeleinden. U vindt meer informatie in onze privacy statement.